/*	block.h	*/

#include "theme.h"

#ifndef COM_PLUS_MEVANSPN_BB_BLOCK
#define COM_PLUS_MEVANSPN_BB_BLOCK

typedef struct {
	int image;			// Index into image array
	int x, y;			// Position (in pixels) on x and y axes.
	int visible, marked;
} Block;

int initBlocks(Block * blocks, Game_Theme * theme);
int moveBlocksUp(Block * blocks, int * block_colour, int * move_timer);
void matchBlock(int index, Block * blocks, int colour, int * marked_count);
void dropBlocksDown(Block * blocks);

#endif
