/*	explosion.h	*/

#ifndef COM_PLUS_MEVANSPN_BB_EXPLOSION
#define COM_PLUS_MEVANSPN_BB_EXPLOSION

typedef struct {
	int x, y;					// Centre point of block peice in pixels
	int x_speed, y_speed;		// Direction of force acting on peice in pixels.
} Block_Peice;

typedef struct {
	int block_colour;			// Index to explosion image surface array
	Block_Peice * peices;	// Array holding four Block_Peice types
} Explosion;

Explosion * createExplosion(int x, int y, int block_colour);
void animateExplosion(Explosion * explosion);
int explosionDone(Explosion * explosion);
void freeExplosion(Explosion * explosion);

#endif
